commit d4a1d3c4b377f1d4acb34fe1b55b5088a3f293f6
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Mon Jan 3 01:18:01 2022

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index ffcc827a5ec..450b8031713 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,10 @@
+2022-01-02  John David Anglin  <danglin@gcc.gnu.org>
+
+	* config/pa/pa.md (atomic_storeq): Use optab_libfunc to access
+	sync_lock_test_and_set libfunc. Call convert_memory_address to
+	convert memory address to Pmode.
+	(atomic_storehi, atomic_storesi, atomic_storedi): Likewise.
+
 2021-12-27  John David Anglin  <danglin@gcc.gnu.org>
 
 	* config/pa/pa-protos.h: Delete
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4297a2b0dd0..736fe9256ce 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220102
+20220103
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index fc20bf1baa4..2266b03146f 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,16 @@
+2022-01-02  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102332
+	* expr.c (gfc_get_variable_expr): Avoid NULL pointer dereferences
+	during handling of errors with invalid uses of CLASS variables.
+	* match.c (select_type_set_tmp): Likewise.
+	* primary.c (gfc_match_varspec): Likewise.
+	* resolve.c (resolve_variable): Likewise.
+	(resolve_select_type): Likewise.
+
 2021-12-27  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 33487e8a597..f8205ffed4a 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2022-01-02  Harald Anlauf  <anlauf@gmx.de>
+
+	Backported from master:
+	2021-12-29  Harald Anlauf  <anlauf@gmx.de>
+
+	PR fortran/102332
+	* gfortran.dg/pr102332.f90: New test.
+
 2021-12-27  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index bfec011d708..3b0c385160f 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,10 @@
+2022-01-02  John David Anglin  <danglin@gcc.gnu.org>
+
+	* config/pa/linux-atomic.c (_ASM_EFAULT): Define.
+	(__kernel_cmpxchg): Nullify illegal iitlbp instruction if error
+	return is not equal _ASM_EFAULT.
+	(__kernel_cmpxchg2): Likewise.
+
 2021-11-27  John David Anglin  <danglin@gcc.gnu.org>
 
 	* config/pa/t-dimode (lib2difuncs): Fix typo.

